tigase.monitor.tasks

## Class ScriptTimerTask

- java.lang.Object
- - tigase.monitor.tasks.ScriptTask
  - - tigase.monitor.tasks.ScriptTimerTask

- All Implemented Interfaces:
    Initializable, ConfigurableTask, MonitorTask

      public class ScriptTimerTask
      extends ScriptTask
      implements ConfigurableTask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `taskDelay`

    - ### Fields inherited from class tigase.monitor.tasks.ScriptTask

      `bindings, scriptEngineManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptTimerTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `tigase.form.Form` | `getCurrentConfiguration()`
    `void` | `run(String script, String scriptExtension, long delay)`
    `void` | `setNewConfiguration(tigase.form.Form form)`

    - ### Methods inherited from class tigase.monitor.tasks.ScriptTask

      `getBindings, getScriptEngineManager, initialize, run, setBindings, setScriptEngineManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### taskDelay

          protected long taskDelay

  - ### Constructor Detail

    - #### ScriptTimerTask

          public ScriptTimerTask()

  - ### Method Detail

    - #### getCurrentConfiguration

          public tigase.form.Form getCurrentConfiguration()

      Specified by:
        `getCurrentConfiguration` in interface `ConfigurableTask`

    - #### run

          public void run(String script,
                 String scriptExtension,
                 long delay)
                   throws ScriptException

      Throws:
        `ScriptException`

    - #### setNewConfiguration

          public void setNewConfiguration(tigase.form.Form form)

      Specified by:
        `setNewConfiguration` in interface `ConfigurableTask`

Copyright © 2015 "Tigase, Inc.". All rights reserved.